Subject: [MMUSIC] SDP Directorate Feedback for draft-ietf-xrblock-rtcp-xr-burst-gap-loss

From: Adam Roach <[email-masked]>
Date: Tue, 04 Dec 2012 09:47:46 -0600

I have been asked to perform the SDP Directorate review for 
draft-ietf-xrblock-rtcp-xr-burst-gap-loss. I reviewed the -05 version of 
the document.

In general, the syntax looks fine -- this document makes use of a 
defined extension point in RFC 3611. I find no mismatch between the 
proposed semantics of this document and what appears to be intended by 
xrblock usage.

I found a handful of tiny nits in the IANA section:

 1. The first line of section 6.1 says "NDEL" where it means "NBGL." I
    would imagine this gets cleaned up during IANA review, but there's
    no point leaving it confusing.

 2. Section 6.2 refers to the "RTCP XR SDP Parameters Registry," whereas
    IANA has titled the registry "RTP Control Protocol Extended Reports
    (RTCP XR) Session Description Protocol (SDP) Parameters Registry"
    (cf.
    http://www.iana.org/assignments/rtcp-xr-sdp-parameters/rtcp-xr-sdp-parameters.xml).
    It would help readers of this document who wish to locate the
    registry if the precise IANA name were used.

 3. Section 6.1 has a similar mismatch, using "RTCP XR Block Type
    Registry" rather than "RTP Control Protocol Extended Reports (RTCP
    XR) Block Type Registry"

Thanks.

/a

---

From: Qin Wu <[email-masked]>
Date: Wed, 5 Dec 2012 11:28:16 +0800

Hi,Adam:
Thank for your careful review on behalf of SDP Directorate. We will fix these three nits you spot in the next version.
Thanks again.

Regards!
-Qin
  ----- Original Message ----- 
  From: Adam Roach 
  To: [email-masked] ; [email-masked] 
  Sent: Tuesday, December 04, 2012 11:47 PM
  Subject: [MMUSIC] SDP Directorate Feedback fordraft-ietf-xrblock-rtcp-xr-burst-gap-loss

  I have been asked to perform the SDP Directorate review for draft-ietf-xrblock-rtcp-xr-burst-gap-loss. I reviewed the -05 version of the document.

  In general, the syntax looks fine -- this document makes use of a defined extension point in RFC 3611. I find no mismatch between the proposed semantics of this document and what appears to be intended by xrblock usage.

    1.. The first line of section 6.1 says "NDEL" where it means "NBGL." I would imagine this gets cleaned up during IANA review, but there's no point leaving it confusing.

[Qin]:Good catch, thanks.
    1.. Section 6.2 refers to the "RTCP XR SDP Parameters Registry," whereas IANA has titled the registry "RTP Control Protocol Extended Reports (RTCP XR) Session Description Protocol (SDP) Parameters Registry" (cf. http://www.iana.org/assignments/rtcp-xr-sdp-parameters/rtcp-xr-sdp-parameters.xml).  It would help readers of this document who wish to locate the registry if the precise IANA name were used.

[Qin]: okay.

    1.. Section 6.1 has a similar mismatch, using "RTCP XR Block Type Registry" rather than "RTP Control Protocol Extended Reports (RTCP XR) Block Type Registry" 

[Qin]: Okay.
Thanks.

/a

------------------------------------------------------------------------------

  _______________________________________________
  mmusic mailing list
  [email-masked]
  https://www.ietf.org/mailman/listinfo/mmusic